> ## Documentation Index
> Fetch the complete documentation index at: https://developers.super.work/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Super digest

> Trigger Super digest.
The audience of the fetched content used to answer is restricted to the authenticated user.



## OpenAPI

````yaml get /super/digest/{assistantId}
openapi: 3.0.0
info:
  title: Public Super api
  version: '1'
  description: Run super queries, digests, index and manage custom sources.
  license:
    name: private
  contact:
    name: Slite
servers:
  - url: https://api.super.work/v1
security: []
paths:
  /super/digest/{assistantId}:
    get:
      summary: Trigger Super digest
      description: >-
        Trigger Super digest.

        The audience of the fetched content used to answer is restricted to the
        authenticated user.
      operationId: digest
      parameters:
        - description: Assistant id to use
          in: path
          name: assistantId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigestResult'
              examples:
                Example 1:
                  value: The onboarding steps are...
        '401':
          description: Invalid authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiAuthError'
        '422':
          description: Super feature is disabled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AskDisabledError'
        '429':
          description: Super rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AskRateLimitedError'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
      security:
        - api_key: []
          bearer: []
components:
  schemas:
    DigestResult:
      type: string
      description: Digest result in markdown.
    PublicApiAuthError:
      properties:
        message:
          type: string
          enum:
            - Invalid apiKey
          nullable: false
        id:
          type: string
          enum:
            - auth/unauthorized
          nullable: false
      required:
        - message
        - id
      type: object
    AskDisabledError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
        id:
          type: string
        status:
          type: number
          format: double
      required:
        - name
        - message
        - id
        - status
      type: object
      additionalProperties: false
    AskRateLimitedError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
        id:
          type: string
        status:
          type: number
          format: double
      required:
        - name
        - message
        - id
        - status
      type: object
      additionalProperties: false
    PublicApiError:
      properties:
        message:
          type: string
        id:
          type: string
      required:
        - message
        - id
      type: object
  securitySchemes:
    bearer:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://example.com/oauth/authorize
          tokenUrl: https://example.com/oauth/token
          scopes: {}

````